#
# (c) 2025, Yegor Yakubovich, yegoryakubovich.com, personal@yegoryakybovich.com
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.
#


from nexium_api import route

from ..services import PaymentFacadeService
from ..shared import UpdatePaymentStateRequestData, UpdatePaymentStateResponseData
from .base import Router


class PaymentRouter(Router):
    prefix = '/payments'

    @route(
        path='/update-state',
        request_data=UpdatePaymentStateRequestData,
        response_data=UpdatePaymentStateResponseData,
        func=PaymentFacadeService().update_state,
        response_field='payment',
    )
    async def update_state(self):
        pass
